- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QIconEngine Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qiconengine.h.

`#include <qiconengine.h>`

Inheritance diagram for QIconEngine:
[legend]

List of all members.

## Public Member Functions
virtual | ~QIconEngine ()
virtual void | paint (QPainter *painter, const QRect &rect, QIcon::Mode mode, QIcon::State state)=0
virtual QSize | actualSize (const QSize &size, QIcon::Mode mode, QIcon::State state)
virtual QPixmap | pixmap (const QSize &size, QIcon::Mode mode, QIcon::State state)
virtual void | addPixmap (const QPixmap &pixmap, QIcon::Mode mode, QIcon::State state)
virtual void | addFile (const QString &fileName, const QSize &size, QIcon::Mode mode, QIcon::State state)

## Constructor & Destructor Documentation

virtual ~QIconEngine | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void paint | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | QIcon::Mode | mode,
|  | QIcon::State | state
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QSize actualSize | ( | const QSize & | size,
|  | QIcon::Mode | mode,
|  | QIcon::State | state
| ) |  | `[virtual]`

Search for all occurrences

virtual QPixmap pixmap | ( | const QSize & | size,
|  | QIcon::Mode | mode,
|  | QIcon::State | state
| ) |  | `[virtual]`

Search for all occurrences

virtual void addPixmap | ( | const QPixmap & | pixmap,
|  | QIcon::Mode | mode,
|  | QIcon::State | state
| ) |  | `[virtual]`

Search for all occurrences

virtual void addFile | ( | const QString & | fileName,
|  | const QSize & | size,
|  | QIcon::Mode | mode,
|  | QIcon::State | state
| ) |  | `[virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qiconengine.h

QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine
QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine QIconEngine